"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var DateTimePicker_1 = __importDefault(require("react-widgets/lib/DateTimePicker"));
var redux_form_1 = require("redux-form");
var react_widgets_moment_1 = __importDefault(require("react-widgets-moment"));
var moment_timezone_1 = __importDefault(require("moment-timezone"));
var styles_1 = require("@material-ui/core/styles");
moment_timezone_1.default.tz.setDefault("America/Bogota");
// @ts-ignore
react_widgets_moment_1.default(moment_timezone_1.default);
var useStyles = styles_1.makeStyles(function (theme) { return ({
    error: {
        color: "" + theme.palette.error.main
    },
}); });
var renderDateTimePicker = function (props) {
    var _a = props.input, onChange = _a.onChange, value = _a.value, _b = props.meta, touched = _b.touched, error = _b.error, readOnly = props.readOnly, _c = props.show_time_until_now, show_time_until_now = _c === void 0 ? false : _c, _d = props.time, time = _d === void 0 ? false : _d, _e = props.max, max = _e === void 0 ? new Date() : _e, _f = props.min, min = _f === void 0 ? new Date(1900, 0, 1) : _f;
    var classes = useStyles();
    var now = moment_timezone_1.default();
    var fechaHoy = moment_timezone_1.default(now, "YYYY MM DD", "es");
    var fecha_nacimiento = moment_timezone_1.default(value, "YYYY MM DD", "es").tz('America/Bogota');
    var diferencia = fechaHoy.diff(fecha_nacimiento, "years");
    var edad = diferencia + " a\u00F1os";
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement(DateTimePicker_1.default, { readOnly: readOnly, onChange: onChange, format: time ? "YYYY-MM-DD HH:mm:ss" : "YYYY-MM-DD", time: time, max: max, min: min, value: !value ? null : moment_timezone_1.default(value).toDate() }),
        show_time_until_now && edad,
        react_1.default.createElement("div", null, touched && (error && react_1.default.createElement("span", { className: classes.error }, error)))));
};
exports.MyDateTimePickerField = function (props) {
    return (react_1.default.createElement("div", { className: props.className },
        react_1.default.createElement("label", null, props.label),
        react_1.default.createElement(redux_form_1.Field, __assign({ name: props.name, type: "date", fullWidth: true, label: props.label }, props, { component: renderDateTimePicker }))));
};
