"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var clsx_1 = __importDefault(require("clsx"));
var TextField_1 = __importDefault(require("@material-ui/core/TextField"));
var redux_form_1 = require("redux-form");
var react_1 = __importDefault(require("react"));
var styles_1 = require("@material-ui/core/styles");
var useStyles = styles_1.makeStyles(function (theme) { return ({
    container: {
        display: 'flex',
        flexWrap: 'wrap',
    },
    textField: {
        paddingLeft: theme.spacing(1),
        paddingRight: theme.spacing(1)
    },
}); });
var renderTextField = function (props) {
    var input = props.input, label = props.label, _a = props.meta, touched = _a.touched, error = _a.error, className = props.className, custom = __rest(props, ["input", "label", "meta", "className"]);
    var helperText = props.helperText;
    var classes = useStyles();
    if (touched && error) {
        helperText = error;
    }
    return (react_1.default.createElement(TextField_1.default, __assign({ label: label, margin: "normal", error: error && touched }, input, custom, { className: clsx_1.default(classes.textField, className), helperText: helperText })));
};
exports.MyTextFieldSimple = function (props) {
    var normalize = null;
    if (props.case === 'U') {
        normalize = function (value) { return value && value.toUpperCase(); };
    }
    else if (props.case === 'L') {
        normalize = function (value) { return value && value.toLowerCase(); };
    }
    return (react_1.default.createElement(redux_form_1.Field, __assign({ fullWidth: true, label: props.label, name: props.name, helperText: props.helperText }, props, { component: renderTextField, autoComplete: "off", normalize: normalize })));
};
